package config

import "github.com/spf13/viper"

type Message struct {
	MiniProgramState string
	SmsUrl           string
}

func InitMessage(cfg *viper.Viper) *Message {
	return &Message{
		MiniProgramState: cfg.GetString("mini_program_state"),
		SmsUrl:           cfg.GetString("sms_url"),
	}
}

var MessageConfig = new(Message)
